# MCS_DomainParameters Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_DomainParameters:

List of all members.

## Public Member Functions

| MCS_DomainParameters (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_maxChannelIds
PASN_Integer | m_maxUserIds
PASN_Integer | m_maxTokenIds
PASN_Integer | m_numPriorities
PASN_Integer | m_minThroughput
PASN_Integer | m_maxHeight
PASN_Integer | m_maxMCSPDUsize
PASN_Integer | m_protocolVersion

## Constructor & Destructor Documentation

MCS_DomainParameters::MCS_DomainParameters | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_DomainParameters::GetDataLength | ( |  | ) | const

PBoolean MCS_DomainParameters::Decode | ( | PASN_Stream & | strm | ) |

void MCS_DomainParameters::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_DomainParameters::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_DomainParameters::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_DomainParameters::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer MCS_DomainParameters::m_maxChannelIds

PASN_Integer MCS_DomainParameters::m_maxUserIds

PASN_Integer MCS_DomainParameters::m_maxTokenIds

PASN_Integer MCS_DomainParameters::m_numPriorities

PASN_Integer MCS_DomainParameters::m_minThroughput

PASN_Integer MCS_DomainParameters::m_maxHeight

PASN_Integer MCS_DomainParameters::m_maxMCSPDUsize

PASN_Integer MCS_DomainParameters::m_protocolVersion

The documentation for this class was generated from the following file:

- mcs.h